;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME: fictype
;
; PURPOSE:  gives fictype ('DA' 'MO' 'AN' 'SE' 'EX') corresponding
;           to the given date in vairmer format ( yymmdd )
;
; CATEGORY:
;
; CALLING SEQUENCE:  fictype = fictype(930124)
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;
; COMMON BLOCKS:
;	common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY: Jerome Vialard  (jv@lodyc.jussieu.fr)
;			2/7/98
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
function fictype, vdate, dim
@common
;------------------------------------------------------------
;   constitution de l'adresse ou aller chercher le fichier
;--------------------------------------------------------------
; date yymmdd = vdate
   jul = juldate(vdate)
;
   case 1 of
      (year eq 0) and (month eq 0) : return, 'EX'
      (year eq 0) and (month ne 0) and (day eq 0) : return, 'SE'
      (year ne 0) and (month eq 0) : return, 'AN'
      (year ne 0) and (day eq 0)   : return, 'MO'
      else                         : return, 'DA'
   endcase
;
;------------------------------------------------------------
   fini:
;
   return, -1
end
;------------------------------------------------------------
